summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorT. Witt2017-07-23 18:41:37 +0200
committerT. Witt2017-07-23 18:41:37 +0200
commit5b3ce990bdfe0c87050d847446dab0e5cb839d20 (patch)
treed31630b602e1a83895d68076a1bb139054ceb3e3
downloadaur-5b3ce990bdfe0c87050d847446dab0e5cb839d20.tar.gz
initial commit
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD49
2 files changed, 67 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..223a69dd114
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+pkgbase = plasma5-applets-analog24hclock
+ pkgdesc = Analog 24h clock
+ pkgver = 99999999
+ pkgrel = 1
+ url = https://github.com/sleepywitti/analog24hclock-plasmoid/
+ arch = i686
+ arch = x86_64
+ license = GPL3
+ makedepends = git
+ depends = plasma-framework
+ depends = plasma-workspace
+ depends = kconfigwidgets
+ depends = kxmlgui
+ source = plasma5-applets-analog24hclock::git+https://github.com/sleepywitti/analog24hclock-plasmoid.git
+ md5sums = SKIP
+
+pkgname = plasma5-applets-analog24hclock
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..87b4059b855
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,49 @@
+# Maintainer: T. Witt
+pkgname=plasma5-applets-analog24hclock
+pkgver=99999999
+pkgrel=1
+pkgdesc="Analog 24h clock"
+arch=('i686' 'x86_64')
+url="https://github.com/sleepywitti/analog24hclock-plasmoid/"
+license=('GPL3')
+depends=(
+ plasma-framework
+ plasma-workspace
+ kconfigwidgets
+ kxmlgui
+)
+makedepends=(git)
+source=("${pkgname}::git+https://github.com/sleepywitti/analog24hclock-plasmoid.git")
+md5sums=('SKIP')
+
+pkgver() {
+ cd "$srcdir/${pkgname}"
+
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+prepare() {
+ cd "$srcdir/${pkgname%-git}"
+
+ mkdir -p build
+}
+
+build() {
+ cd "$srcdir/${pkgname%-git}"
+
+ cd build
+ cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release ..
+ make
+}
+
+package() {
+ cd "$srcdir/${pkgname}"
+ install -Dm644 LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
+
+ cd build
+ make DESTDIR="$pkgdir/" install
+}
+# vim:set ts=2 sw=2 et: